---
.title = "zigvm",
.author = "Martin Ashby",
.date = @date("2024-05-28T20:18:54+01:00"),
.layout = "single.html",
---

A tool to download and manage versions of the [zig](https://ziglang.org/) compiler.

## Why?

* I got fed up of installing manually
* I like to practice programming by writing small tools

## Why not AUR/nix/apt/X?

None of those were quite as convenient as what I wanted, they come with other baggage, and they don't always ship the latest bleeding-edge zig version.

## How to use

Run `zigvm` with no arguments to download the latest `master` version of zig and install/symlink in `~/.local.bin`. Run `zigvm -h` to see options.

## Downloads

* [Code](https://code.mfashby.net/zigvm/)
* [aarch64-linux](https://dl.mfashby.net/zigvm/v0.2.0/aarch64-linux) [SHA256 checksum](https://dl.mfashby.net/zigvm/v0.2.0/aarch64-linux.sha256) [minisig](https://dl.mfashby.net/zigvm/v0.2.0/aarch64-linux.minisig)
* [x86_64-linux](https://dl.mfashby.net/zigvm/v0.2.0/x86_64-linux) [SHA256 checksum](https://dl.mfashby.net/zigvm/v0.2.0/x86_64-linux.sha256) [minisig](https://dl.mfashby.net/zigvm/v0.2.0/x86_64-linux.minisig)

Binaries are signed with [minisign](https://jedisct1.github.io/minisign/), public key `RWTsE4a/BXFWjmzxWB0Kko+w47ZRfQhxkF21Zfh7BxRzZm2q6l4GssRa`

## Release notes